#!/bin/bash

target_bucket=s3-nba-brondata/{{ nba_project_name }}/new/
export_dir=/data/linnaeus_ng/nba_export
upload_ready=upload_ready
sync_file={{ nba_project_name }}-$(date +%Y-%m-%d).tar.gz

echo "$(date) - nba index update"
{{ docker_compose }} \
    --env-file /opt/project/linnaeus_ng/.env \
    --file /opt/project/linnaeus_ng/docker-compose.yml \
    --file /opt/project/linnaeus_ng/docker-compose.override.yml \
    run --rm --user www-data php-fpm \
    /usr/local/bin/php /var/www/tools/taxon-parentage-update/taxon-parentage-update.php

echo "$(date) - nba export started"
{{ docker_compose }} \
    --env-file /opt/project/linnaeus_ng/.env \
    --file /opt/project/linnaeus_ng/docker-compose.yml \
    --file /opt/project/linnaeus_ng/docker-compose.override.yml \
    run --rm -v /data/linnaeus_ng/nba_export:/export --user www-data php-fpm \
    /usr/local/bin/php /var/www/tools/nba-export/nba-export.php

cd "$export_dir" || exit
find sync -type f -exec rm {} \;
tar --create --gzip --file "sync/$sync_file" ./*.jsonl
echo "$sync_file" > "sync/$upload_ready"

docker pull minio/mc
stat=$(docker run -v /opt/project/linnaeus_ng/minio:/root/.mc minio/mc stat "$target_bucket$upload_ready" 2>&1)

if grep -q "Object does not exist" <<< "$stat"; then
    docker run -v "$PWD/sync":/sync -v /opt/project/linnaeus_ng/minio:/root/.mc --rm minio/mc mirror /sync "$target_bucket"
else
    echo "$(date) - $upload_ready present on target server; file not copied."
fi
